Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0032236
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 01. General setupminoralways2016-02-15 17:112018-01-03 12:38
ReporterngarciaView Statuspublic 
Assigned Toplatform 
PriorityhighResolutionfixedFixed in Version3.0PR18Q1
StatusclosedFix in branchFixed in SCM revision1aa34b62451b
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0032236: Process Monitor Duration field shows wrong data if the process lasts more than 24 hours

DescriptionProcess Monitor Duration field shows wrong data if the process lasts more than 24 hours
Steps To ReproduceIf a process takes more than 24 hours only the hours that exceed a day are shown. For example:

Start Time: '2016-02-12 16:21:06.639364'
End Time: '2016-02-15 16:17:45.075621'

Duration: '23:56:38.429'. It should be '71:56:38.429'
TagsNo tags attached.
Attached Filesdiff file icon 32236.diff [^] (1,894 bytes) 2017-09-28 18:58 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
has duplicate defect 0032500 closedplatform incorrect duration in process monitor for times bigger than 1 day 

-  Notes
(0099669)
aferraz (developer)
2017-09-28 18:59

Attached a possible fix.
(0099923)
hgbot (developer)
2017-10-17 08:54

Repository: erp/devel/pi
Changeset: 1aa34b62451b553a74ba178379b5b8bc206f9521
Author: Alejandro <alekosmp86 <at> gmail.com>
Date: Tue Nov 29 13:31:55 2016 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/1aa34b62451b553a74ba178379b5b8bc206f9521 [^]

Fixes issue 32236: Process Monitor Duration field shows wrong data

Process Monitor Duration field was showing wrong data if the process lasts more
than 24 hours. When calculating the amount of hours that a process lasted, the
formula was designed in such a way that when the hours were bigger than 24, it got
resseted to 0, so, for example, if the amount of hours were 30, it was showing
6 instead.

---
M src/org/openbravo/scheduling/ProcessMonitor.java
---
(0099924)
alostale (developer)
2017-10-17 08:54

reviewed + tested
(0101333)
hudsonbot (developer)
2018-01-03 12:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-02-15 17:11 ngarcia New Issue
2016-02-15 17:11 ngarcia Assigned To => Triage Finance
2016-02-15 17:11 ngarcia Modules => Core
2016-02-15 17:11 ngarcia Triggers an Emergency Pack => No
2016-02-15 17:12 ngarcia Issue Monitored: networkb
2016-03-17 14:56 ngarcia Relationship added has duplicate 0032500
2016-11-29 16:12 alekosmp86 Assigned To Triage Finance => alekosmp86
2016-11-29 16:13 alekosmp86 Status new => scheduled
2017-09-28 18:58 aferraz File Added: 32236.diff
2017-09-28 18:59 aferraz Status scheduled => acknowledged
2017-09-28 18:59 aferraz Status acknowledged => scheduled
2017-09-28 18:59 aferraz Status scheduled => feedback
2017-09-28 18:59 aferraz Assigned To alekosmp86 => platform
2017-09-28 18:59 aferraz Status feedback => new
2017-09-28 18:59 aferraz Note Added: 0099669
2017-10-17 08:54 hgbot Checkin
2017-10-17 08:54 hgbot Note Added: 0099923
2017-10-17 08:54 hgbot Status new => resolved
2017-10-17 08:54 hgbot Resolution open => fixed
2017-10-17 08:54 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/1aa34b62451b553a74ba178379b5b8bc206f9521 [^]
2017-10-17 08:54 alostale Review Assigned To => alostale
2017-10-17 08:54 alostale Note Added: 0099924
2017-10-17 08:54 alostale Status resolved => closed
2017-10-17 08:54 alostale Fixed in Version => 3.0PR18Q1
2018-01-03 12:38 hudsonbot Checkin
2018-01-03 12:38 hudsonbot Note Added: 0101333


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker